Skip to main content
POST

Scan API

Deprecated, use /v2/updates instead

OpenAPISince 0.5.10Changed 0.6.0
Deprecated, use /v2/updates instead. Returns the update history in ascending order, paged, from ledger begin or optionally starting after a record time.

Protocol Details

Operation IDgetUpdateHistory
Published0.7.4
SpecificationDownload OpenAPI

Inputs

Request body

application/json
object
OpenAPI type: UpdateHistoryRequestAfter.
number
required
OpenAPI type: integer (int32).The maximum number of transactions returned for this request.
boolean
Whether contract payload should be encoded into json using a lossless, but much harder to process, encoding. This is mostly used for backend calls, and is not recommended for external users. Optional and defaults to false.

Outputs

200

application/json
UpdateHistoryItem[]
required

400

application/json
string
required

500

application/json
string
required

History

Changed0.6.0

The POST /v0/updates operation changed in this snapshot.

Changed0.5.17

The POST /v0/updates operation changed in this snapshot.

Deprecated0.5.10
Introduced0.5.10